import request from '@/utils/request'

// 查询巡检计划管理列表
export function listPlan(query) {
  return request({
    url: '/qdtl/plan/list',
    method: 'get',
    params: query
  })
}

// 查询巡检计划管理详细
export function getPlan(id) {
  return request({
    url: '/qdtl/plan/' + id,
    method: 'get'
  })
}

// 新增巡检计划管理
export function addPlan(data) {
  return request({
    url: '/qdtl/plan',
    method: 'post',
    data: data
  })
}

// 修改巡检计划管理
export function updatePlan(data) {
  return request({
    url: '/qdtl/plan',
    method: 'put',
    data: data
  })
}

// 删除巡检计划管理
export function delPlan(id) {
  return request({
    url: '/qdtl/plan/' + id,
    method: 'delete'
  })
}
